# soap_wsrm_data Struct Reference

Plugin data. More...

`#include <wsrmapi.h>`

Collaboration diagram for soap_wsrm_data:

[legend]
List of all members.

## Public Attributes

enum soap_wsrm_enable | state
soap_wsrm_sequence * | seq
soap_wsrm_message * | msg
int(* | fsend )(struct soap *, const char *, size_t)
int(* | fpreparefinalrecv )(struct soap *)
int(* | fdisconnect )(struct soap *)

## Detailed Description

Plugin data.

## Member Data Documentation

int(* soap_wsrm_data::fdisconnect)(struct soap *)

int(* soap_wsrm_data::fpreparefinalrecv)(struct soap *)

int(* soap_wsrm_data::fsend)(struct soap *, const char *, size_t)

struct soap_wsrm_message* soap_wsrm_data::msg

struct soap_wsrm_sequence* soap_wsrm_data::seq

enum soap_wsrm_enable soap_wsrm_data::state

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/plugin/wsrmapi.h